Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document
Class FileEditorInputProxy

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.EditorInputProxy
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.StorageEditorInputProxy
              org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.FileEditorInputProxy

All Implemented Interfaces:
  IAdaptable, MEditingDomainElement, IEditorInput, IFileEditorInput, IPathEditorInput, IPersistable, IPersistableElement, IStorageEditorInput

    public class FileEditorInputProxy

extends StorageEditorInputProxy
implements IFileEditorInput, IPathEditorInput, IPersistableElement, MEditingDomainElement

FileEditorInput Proxy.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.EditorInputProxy
`editingDomain, fProxied`

Constructor Summary
`FileEditorInputProxy(IFileEditorInput proxied, TransactionalEditingDomain domain)`

Method Summary
`TransactionalEditingDomain` `getEditingDomain()`
`java.lang.String` `getFactoryId()`
`IFile` `getFile()`
`IPath` `getPath()`
`void` `saveState(IMemento memento)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.StorageEditorInputProxy
`equals, getStorage, hashCode`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.EditorInputProxy
`exists, getAdapter, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IStorageEditorInput
`getStorage`

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### FileEditorInputProxy

    public FileEditorInputProxy(IFileEditorInput proxied,
                                TransactionalEditingDomain domain)

Parameters:
  `proxied` -
  `domain` -

Method Detail

### getFactoryId

    public java.lang.String getFactoryId()

  Specified by:
    `getFactoryId` in interface `IPersistableElement`

### getFile

    public IFile getFile()

  Specified by:
    `getFile` in interface `IFileEditorInput`

### getPath

    public IPath getPath()

  Specified by:
    `getPath` in interface `IPathEditorInput`

### saveState

    public void saveState(IMemento memento)

  Specified by:
    `saveState` in interface `IPersistable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEditingDomain

    public TransactionalEditingDomain getEditingDomain()

  Specified by:
    `getEditingDomain` in interface `MEditingDomainElement`
  Overrides:
    `getEditingDomain` in class `EditorInputProxy`
  Returns:
    The editing domain for this diagram document

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.